local M = {}
local logTag = "hybrid"

local _enableDebug = false
local dd = obj.debugDrawProxy
local textCol = color(255, 60, 255, 255)

function dText(row, text)
    if not _enableDebug then
        return
    end

    dd:drawText2D(float3(20, 20 + (20 * row), 0), textCol, text)
end

function _log(level, text)
    if not _enableDebug then
        return
    end

    if not text then -- Shift arguments
        text = level
        level = "D"
    end

    log(level, logTag, text)
end

M.dText = dText
M.log = _log

return M